ListChats
curl --request POST \
--url https://app.textql.com/v1/chat/list \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"memberOnly": false,
"searchTerm": "<string>",
"limit": 1,
"offset": 1
}
'import requests
url = "https://app.textql.com/v1/chat/list"
payload = {
"memberOnly": False,
"searchTerm": "<string>",
"limit": 1,
"offset": 1
}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({memberOnly: false, searchTerm: '<string>', limit: 1, offset: 1})
};
fetch('https://app.textql.com/v1/chat/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chats": [
{
"id": "<string>",
"paradigm": {
"type": "TYPE_UNKNOWN",
"version": 123,
"options": {
"basic": {}
}
},
"model": "MODEL_UNKNOWN",
"timestamp": "2023-01-15T01:30:15.01Z",
"orgId": "<string>",
"memberId": "<string>",
"summary": "<string>",
"playbookId": "<string>",
"research": true,
"creatorEmail": "<string>",
"apiKeyClientId": "<string>",
"updatedAt": "2023-01-15T01:30:15.01Z",
"isBookmarked": true,
"preferredProvider": "<string>",
"templateDataId": "<string>",
"batchRunId": "<string>",
"preview": "<string>",
"dashboardMode": true,
"source": "CHAT_SOURCE_UNKNOWN",
"methodology": "METHODOLOGY_UNKNOWN"
}
],
"totalCount": 123
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Chat
List Chats
List chats with optional filtering and pagination
POST
/
v1
/
chat
/
list
ListChats
v2 available: See GET /v2/chats for the REST-native version of this endpoint.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol
Available options:
1 Define the timeout, in ms
Body
application/json
Whether to return only the user's chats (true) or all org chats (false)
Filter chats by summary or first message content
Maximum number of chats to return
Required range:
x >= 0Number of chats to skip
Required range:
x >= 0Sort field (0: unknown, 1: name, 2: created_at, 3: updated_at)
Available options:
0, 1, 2, 3 Sort direction (0: unknown, 1: asc, 2: desc)
Available options:
0, 1, 2